#!/usr/local/bin/perl -w

use LWP::Simple;
use POSIX qw(strftime);

require '../inc/device_serials.pm';


$urlfr = "https://forge.indepnet.net/wiki/tracker/Deviceslist";

my $html = get($urlfr) or die "Couldn't fetch webpage.";

@lignes = split(/\n/, $html);

my $detect=0;
my $i=0;
my $j = 0;
my @descr;

foreach my $ligne (@lignes) {
   if ($ligne =~ /<tr>/){
      $detect = 1;
   } elsif ($ligne =~ /<td>/){
      if ($detect eq "1") {
         $i++;
         if ($i eq "4") {
            if ($ligne !~ /<strong>/) {
               $ligne =~ s/			<td> //;
               $ligne =~ s/ <\/td>//;
               if ($ligne ne "") {
                  $descr[$j] = $ligne;
                  $j++;
#                  print $ligne."\n";
               }
            }
            $detect = 0;
            $i = 0;
         }
      }
   }

}


$size = @descr;
for ($i=0; $i<$size; $i++) {
   #print "$descr[$i]";
   my ($type) = verifySerial($descr[$i]);
   if (($type ne '1') && ($type ne '2') && ($type ne '3')) {
      print "$descr[$i] - type: $type \n";
   }
}
print "\nNombre d'quipements : ".$size."\n";


sub verifySerial {
#	$serialreturn = '';
#	$typereturn = '';
#	while (($desc,$oid)= each %SerialNumberDef) {
   if ($_[0] eq "") {
      return (0);
   }
	foreach $desc (reverse sort keys %SerialNumberDef) {
		if ($_[0] =~ /$desc/){
			$typereturn = $TypeDef{$desc};
			if($typereturn eq "") {
				$typereturn = 0;
			}
			return ($typereturn);
		}
	}
	return (0);
}
